@echo off
rem 
rem       Student of MSTU CA in group EC-1-2
rem                       Vitaly Novichkov
rem  
rem Copyright (C) 2005-2010 NVD's Privacy Servers
rem                       All rights protected.
rem
echo.
echo.
if '%1'=='' goto error
if '%1'=='/?' goto help
set todir=%1
set ext=%2
if '%3'=='' goto exit
echo.
echo.
echo ===============================================================================
echo %3
echo -------------------------------------------------------------------------------
:loop
type %3
shift
echo.
echo ===============================================================================
if '%3'=='' goto comtin
echo %3
echo -------------------------------------------------------------------------------
goto loop
:comtin
md %todir%
copy *.%ext%  %todir%

goto exit
:error
echo ОШИБКА: НЕ УКАЗАНЫ ОСНОВНЫЕ КОМАНДЫ
echo.
:help
echo Синтаксис команд:
echo.
echo     6.bat [Имя создаваемой папки] [Расширение копируемых файлов в LAB\AK]
echo [просматриваемые файлы командой type]
echo.
echo.
:exit
